MFC016 — Fatura ( Agrupamento de Notas Fiscais )
Fonte
- Source:
source/MFC016/
Objetivo
O módulo MFC016 permite realizar o agrupamento de notas fiscais de saida em faturas. Seu proposito e consolidar multiplas notas fiscais de um mesmo cliente (ou de clientes distintos) em uma unica fatura, simplificando a cobranca e o controle financeiro do contas a receber.
Na pratica, o usuario filtra as notas fiscais de saida que possuem duplicatas em aberto (status "T" - titulo), seleciona as notas desejadas e gera uma ou mais faturas. O sistema agrupa automaticamente as notas por cliente, criando uma nova duplicata de fatura (tipo documento "FA") no contas a receber e marcando as duplicatas originais como agrupadas (status "A"). Opcionalmente, e possivel aplicar desconto sobre o valor total da fatura.
O módulo e utilizado pelo setor financeiro e de cobranca da empresa, sendo fundamental para cenarios onde o cliente recebe diversas notas fiscais em um periodo e deseja pagar todas em um unico documento consolidado. A geracao das faturas e processada pela stored procedure POPULA_FATURAS, que distribui as notas por cliente, e pela stored procedure PROCESSA_FATURA, que efetivamente cria os novos titulos no contas a receber.
O acesso ao módulo requer a licenca erpFinReparcelamento (Financeiro - Reparcelamento).
Funcionalidades
- Filtro e Consulta de Notas Fiscais
- Selecao de Notas Fiscais para Agrupamento
- Visualizacao de Duplicatas (Parcelas) da Nota
- Aplicacao de Desconto na Fatura
- Campo de Observacao
- Geracao da Fatura (Salvar)
Mensagens exibidas
Levantadas de source/MFC016/ pela camada 0 (commit 96fc51e236).
| Código | Tipo | Mensagem |
|---|---|---|
| C-0045 | Confirmação | Deseja Excluir o Registro? |
| C-0048 | Confirmação | Deseja Salvar as Alterações Antes de Sair? |
Mais 19 mensagens com texto literal no código: MFC016.
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS | DELETE, INSERT, SELECT, UPDATE |
| FATURA | INSERT, SELECT |
| FATURANOTA | INSERT, SELECT |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| BANCO | SELECT |
| CONFIGNFSE | SELECT |
| FORMAPAGTO | SELECT |
| ITEMNOTA | SELECT |
| MOVIMENTACAO | SELECT |
| NFSE | SELECT |
| NOTA | SELECT |
| PESSOA | SELECT |
| TIPOPESSOA | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| POPULA_FATURAS | CONTAS (SELECT), CONTASHISTORICOCC (INSERT/SELECT), FATURA (DELETE/INSERT/SELECT), FATURACONTAS (INSERT/SELECT), FATURANOTA (DELETE/INSERT/SELECT), NOTA (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| CONTAS | SELECT |
| CONTASHISTORICOCC | INSERT, SELECT |
| FATURA | DELETE, INSERT, SELECT |
| FATURACONTAS | INSERT, SELECT |
| FATURANOTA | DELETE, INSERT, SELECT |
| NOTA | SELECT |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |